Bug 10321 - Server starts but apps not while running apps turn their faces
Summary: Server starts but apps not while running apps turn their faces
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Release (show other bugs)
Version: 7.2 (2007.02)
Hardware: x86 (IA32) Linux (All)
: highest blocker
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-16 14:00 UTC by NOT ACTIVE SINCE DECADES, PLEASE DELETE ME
Modified: 2019-11-29 02:59 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
X log (54.72 KB, text/plain)
2007-03-17 06:34 UTC, NOT ACTIVE SINCE DECADES, PLEASE DELETE ME
no flags Details

Description NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-16 14:00:50 UTC
This is a followup to several other bug messages I've found with the search term 'xcb', though I found that xcb is not the culprit. Installing libX11 without xcb support still produces the same problems.

I have all the described problems like xcb locking with mesa demos or gtk apps. However, there is also another interesting effect. The desktop starts with only the xfce panel running (no icons or background image). The panel looks fully normal and first seems to behave normal. When I focus an applet, it highlights. However, right after that the full panel is overlaid with some random content from memory. I started xine from xinitrc and it looks normal for a second. Then it is overlaid with random memory content and disappearing.

I fetched the output from startx upwards and appended it below (found no upload button). Many things aren't found, like all fonts, but should be there and working. Most interesting, there are a lot unprocessed threads. In another run, there were messages about changing screens and undetectable window ids. 

xauth:  creating new authority file /root/.serverauth.8734

X Window System Version 7.2.0
Release Date: 22 January 2007
X Protocol Version 11, Revision 0, Release 7.2
Build Operating System: Linux 2.6.17.11 i686 
Current Operating System: Linux Foo 2.6.17.11 #1 SMP PREEMPT Thu Sep 7 08:54:53 CEST 2006 i686
Build Date: 16 March 2007
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/opt/interface/xorg-7.0.2/var/log/Xorg.0.log", Time: Fri Mar 16 20:45:30 2007
(==) Using config file: "/etc/X11/xorg.conf"

(WW) RADEON: No matching Device section for instance (BusID PCI:1:0:1) found
(**) RADEON(0): RADEONPreInit
(**) RADEON(0): RADEONScreenInit e8000000 0
(**) RADEON(0): Map: 0xe8000000, 0x08000000
(**) RADEON(0): RADEONSave
(**) RADEON(0): RADEONSaveMode(0x81f2308)
(**) RADEON(0): Read: 0x00000007 0x00030057 0x00000000
(**) RADEON(0): Read: rd=7, fd=87, pd=3
(**) RADEON(0): RADEONSaveMode returns 0x81f2308
(**) RADEON(0): DRI New memory map param
(**) RADEON(0): RADEONInitMemoryMap() : 
(**) RADEON(0):   mem_size         : 0x08000000
(**) RADEON(0):   MC_FB_LOCATION   : 0xefffe800
(**) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(**) RADEON(0): RADEONModeInit()
1600x1200     202.50  1600 1664 1856 2160  1200 1201 1204 1250 (24,32) +H +V
1600x1200     202.50  1600 1664 1856 2160  1200 1201 1204 1250 (24,32) +H +V
(**) RADEON(0): Pitch = 13107400 bytes (virtualX = 1600, displayWidth = 1600)
(**) RADEON(0): dc=20250, of=20250, fd=90, pd=1
(**) RADEON(0): RADEONInit returns 0x81f2cb8
(**) RADEON(0): RADEONRestoreMode()
(**) RADEON(0): RADEONRestoreMode(0x81f2cb8)
(**) RADEON(0): RADEONRestoreMemMapRegisters() : 
(**) RADEON(0):   MC_FB_LOCATION   : 0xefffe800
(**) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(**) RADEON(0):   Map Changed ! Applying ...
(**) RADEON(0):   Map applied, resetting engine ...
(**) RADEON(0): Updating display base addresses...
(**) RADEON(0): Memory map updated.
(**) RADEON(0): Programming CRTC1, offset: 0x00000000
(**) RADEON(0): Wrote: 0x0000000c 0x0000005a 0x00000000 (0x0000a700)
(**) RADEON(0): Wrote: rd=12, fd=90, pd=0
(**) RADEON(0): GRPH_BUFFER_CNTL from 20027c7c to 20395c5c
(**) RADEON(0): RADEONSaveScreen(0)
(**) RADEON(0): Setting up initial surfaces
(**) RADEON(0): Initializing fb layer
(**) RADEON(0): Setting up accel memmap
(**) RADEON(0): Initializing backing store
(**) RADEON(0): DRI Finishing init !
(**) RADEON(0): EngineRestore (32/32)
(**) RADEON(0): GRPH_BUFFER_CNTL from 20027c7c to 20395c5c
(**) RADEON(0): Setting up final surfaces
(**) RADEON(0): Initializing Acceleration
(**) RADEON(0): EngineInit (32/32)
(**) RADEON(0): Pitch for acceleration = 200
(**) RADEON(0): EngineRestore (32/32)
(**) RADEON(0): Initializing Page Flipping
(**) RADEON(0): Initializing DPMS
(**) RADEON(0): Initializing Cursor
(**) RADEON(0): Initializing color map
(**) RADEON(0): Initializing DGA
(**) RADEON(0): Initializing Xv
(**) RADEON(0): RADEONScreenInit finished
expected keysym, got dead_diaresis: line 143 of pc/de
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
(**) RADEON(0): RADEONSaveScreen(2)
/opt/interface/xfce4/bin/startxfce4: X server already running on display :0
which: no ssh-agent in (.:/bin:/sbin:/usr/bin:/usr/sbin:/opt/test/bin:/opt/test/sbin:/opt/interface/xfce4/bin:/opt/interface/xorg-7.0.2/bin:/opt/interface/applications/bin:/opt/development/python-2.5/bin:/opt/development/clisp/bin:DEV/R-/bin:/opt/development/gcc-3.4.3/bin:/opt/network/firefox-2.0/bin:/opt/games/bin:/opt/security/bin:/opt/security/sbin:/opt/interface/wine-0.9.20/bin:/opt/development/arena/bin:/opt/development/ecl/bin)
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: This build doesn't include support for XF86Misc extension
** Message: Querying Xkb extension
** Message: Xkb extension found
xiTK WARNING(xitk_font_load_font:725): loading font "-*-helvetica-*-r-normal-*-9-*-*-*-*-*-*-*" failed, default and system fonts "(null)" and "fixed" failed too
xiTK WARNING(xitk_font_load_font:725): loading font "-*-helvetica-*-r-normal-*-9-*-*-*-*-*-*-*" failed, default and system fonts "(null)" and "fixed" failed too
xiTK WARNING(xitk_font_load_font:725): loading font "fixed" failed, default and system fonts "(null)" and "fixed" failed too
xiTK DIE: create_labelofbutton()@126: xitk_font_load_font() failed. Exiting
thread 0x80fca90 started for pool 0x80d9e90.
thread 0x80fca90 in pool 0x80d9e90 waits for up to a 1/2 second for task (1 running, 1 unprocessed).
thread 0x80fca90 in pool 0x80d9e90 calling func.
thread 0x80ff848 started for pool 0x80fefd0.
thread 0x80ff848 in pool 0x80fefd0 waits for up to a 1/2 second for task (3 running, 3 unprocessed).
thread 0x80ff848 in pool 0x80fefd0 calling func.
thread 0x80ff848 in pool 0x80fefd0 waits for up to a 1/2 second for task (3 running, 2 unprocessed).
thread 0x80ff848 in pool 0x80fefd0 calling func.
thread 0x80ff848 in pool 0x80fefd0 waits for up to a 1/2 second for task (3 running, 1 unprocessed).
thread 0x80ff848 in pool 0x80fefd0 calling func.
pool 0x80fefd0 not active, thread 0x80ff848 will go to global pool (running: false, immediate: false, len: 0).
thread 0x80ff848 leaving pool 0x80fefd0 for global pool.
thread 0x80ff848 waiting in global pool for 10,000000 seconds.
thread 0x80ff8b8 started for pool 0x80fefd0.
pool 0x80fefd0 not active, thread 0x80ff8b8 will go to global pool (running: false, immediate: false, len: 0).
thread 0x80ff8b8 leaving pool 0x80fefd0 for global pool.
thread 0x80ff8b8 waiting in global pool for 10,000000 seconds.
thread 0x8100348 started for pool 0x80fefd0.
pool 0x80fefd0 not active, thread 0x8100348 will go to global pool (running: false, immediate: false, len: 0).
thread 0x8100348 leaving pool 0x80fefd0 for global pool.
thread 0x8100348 waiting in global pool for 10,000000 seconds.
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org
The application 'xfce-mcs-manager' lost its connection to the display :0.0;
most likely the X server was shut down or you killed/destroyed
the application.
The application 'Thunar' lost its connection to the display :0.0;
most likely the X server was shut down or you killed/destroyed
the application.
The application 'xfce4-session' lost its connection to the display :0.0;
most likely the X server was shut down or you killed/destroyed
the application.
xinit:  connection to X server lost.

(**) RADEON(0): RADEONCloseScreen
(**) RADEON(0): RADEONDRIStop
(**) RADEON(0): EngineRestore (32/32)
(**) RADEON(0): RADEONDisplayPowerManagementSet(0,0x0)
(**) RADEON(0): RADEONRestore
(**) RADEON(0): RADEONRestoreMode()
(**) RADEON(0): RADEONRestoreMode(0x81f2308)
(**) RADEON(0): RADEONRestoreMemMapRegisters() : 
(**) RADEON(0):   MC_FB_LOCATION   : 0x1fff0000
(**) RADEON(0):   MC_AGP_LOCATION  : 0x27ff2000
(**) RADEON(0):   Map Changed ! Applying ...


waiting for X server to shut down (**) RADEON(0):   Map applied, resetting engine ...
(**) RADEON(0): Updating display base addresses...
(**) RADEON(0): Memory map updated.
(**) RADEON(0): Programming CRTC1, offset: 0x00000000
(**) RADEON(0): Wrote: 0x00000007 0x00030057 0x00000000 (0x0000a700)
(**) RADEON(0): Wrote: rd=7, fd=87, pd=3
(**) RADEON(0): Disposing accel...
(**) RADEON(0): Disposing cusor info
(**) RADEON(0): Disposing DGA
(**) RADEON(0): Unmapping memory
(**) RADEON(0): RADEONDRICloseScreen
FreeFontPath: FPE "/opt/interface/xorg-7.0.2/lib/X11/fonts/misc" refcount is 2, should be 1; fixing.



Regards,
Dennis
Comment 1 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-17 06:07:57 UTC
<snip>
When I focus an applet, it highlights. However, right after that the full panel is overlaid with some random content from memory. I started xine from xinitrc and it looks normal for a second. Then it is overlaid with random memory content and disappearing.
</snip>

I reinstalled fontconfig and the above problem was gone (?). The memory portion was not chosen randomly. It was the screen image of the last run X server (in full, with icons on it). Interestingly, the image was from the run of a parallel ubuntu installation with own swap space and such. No Idea how the newly installed X server on the discussed system was able to catch it after the restart. And the visible portions in xine and the panel looked like being located at correct place. However, that may have been an interesting accident.

Comment 2 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-17 06:32:26 UTC
Still there is no direct rendering available and compositing is unusable, though the X log shows a different message and games like globulation2 run fine at 1600x1200. There are three warnings in the X log:

(WW) RADEON(0): DRI init changed memory map, adjusting ...
(WW) RADEON(0):   MC_FB_LOCATION  was: 0xefffe800 is: 0xefffe800
(WW) RADEON(0):   MC_AGP_LOCATION was: 0xffffffc0 is: 0xe47fe400
(**) RADEON(0): GRPH_BUFFER_CNTL from 20027c7c to 20395c5c
(II) RADEON(0): Direct rendering enabled
(**) RADEON(0): Setting up final surfaces
(**) RADEON(0): Initializing Acceleration
(II) RADEON(0): Render acceleration enabled
(**) RADEON(0): EngineInit (32/32)
(**) RADEON(0): Pitch for acceleration = 200
(**) RADEON(0): EngineRestore (32/32)
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
(...)
(WW) AIGLX: 3D driver claims to not support visual 0x23
(WW) AIGLX: 3D driver claims to not support visual 0x24
(WW) AIGLX: 3D driver claims to not support visual 0x25
(WW) AIGLX: 3D driver claims to not support visual 0x26
(WW) AIGLX: 3D driver claims to not support visual 0x27
(WW) AIGLX: 3D driver claims to not support visual 0x28
(WW) AIGLX: 3D driver claims to not support visual 0x29
(WW) AIGLX: 3D driver claims to not support visual 0x2a
(WW) AIGLX: 3D driver claims to not support visual 0x2b
(WW) AIGLX: 3D driver claims to not support visual 0x2c
(WW) AIGLX: 3D driver claims to not support visual 0x2d
(WW) AIGLX: 3D driver claims to not support visual 0x2e
(WW) AIGLX: 3D driver claims to not support visual 0x2f
(WW) AIGLX: 3D driver claims to not support visual 0x30
(WW) AIGLX: 3D driver claims to not support visual 0x31
(WW) AIGLX: 3D driver claims to not support visual 0x32
(II) AIGLX: Loaded and initialized /opt/interface/xorg-7.0.2/lib/dri/r200_dri.so
(II) GLX: Initialized DRI GL provider for screen 0
(...)
(**) RADEON(0): RADEONSaveScreen(2)
getDrawableInfo failed to look up window
getDrawableInfo failed to look up window
getDrawableInfo failed to look up window
getDrawableInfo failed to look up window
 
I use Mesa-6.5.2, libdrm 1.3.0, DRM interface version 1.2, kernel module version 
1.24.0, and linux 2.6.17.11 i686
Comment 3 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-17 06:33:48 UTC
Found the upload button. Have attached the X log.
Comment 4 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-17 06:34:52 UTC
Created attachment 9203 [details]
X log
Comment 5 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-17 11:21:52 UTC
Have to correct myself. All opengl games show a black screen or window. All complain about indirect rendering...
Comment 6 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-17 16:49:26 UTC
I installed linux 2.20.3 and, after that, libxcb, libX11, libdrm, Mesa, xorg-server, and xf86-video-ati, again. Now direct rendering is enabled. However, compositing is still unusable, Though glxgears works, all other OpenGL progs I have fill the window with black emptyness (while game music is running) even after recompilation. Often they produce this warning:

libGL warning: 3D driver claims to not support visual 0x4b

Xorg.0.log looks exactly the same like appended. Below is the output of glxinfo:

>>glxinfo 
name of display: :0.0
libGL warning: 3D driver claims to not support visual 0x4b
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI R200 20060602 AGP 8x x86/MMX+/3DNow!+/SSE2 TCL
OpenGL version string: 1.3 Mesa 6.5.2
OpenGL extensions:
    GL_ARB_imaging, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_texture_border_clamp, 
    GL_ARB_texture_compression, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_ARB_texture_mirrored_repeat, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_buffer_object, 
    GL_ARB_vertex_program, GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra, 
    GL_EXT_blend_color, GL_EXT_blend_equation_separate, 
    GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_clip_volume_hint, GL_EXT_compiled_vertex_array, GL_EXT_convolution, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_histogram, GL_EXT_packed_pixels, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_vertex_array, 
    GL_APPLE_packed_pixels, GL_ATI_blend_equation_separate, 
    GL_ATI_texture_env_combine3, GL_ATI_texture_mirror_once, 
    GL_ATI_fragment_shader, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_MESA_window_pos, 
    GL_NV_blend_square, GL_NV_light_max_exponent, GL_NV_texture_rectangle, 
    GL_NV_texgen_reflection, GL_OES_read_format, GL_SGI_color_matrix, 
    GL_SGI_color_table, GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x24 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x25 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x26 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x27 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x28 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x29 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x2b 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2c 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x2d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2e 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x2f 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x30 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x31 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x32 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x4b 32 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 Ncon

Comment 7 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-03-31 19:25:48 UTC
I installed xorg-server-1.2.99.903 and xf86-video-ati-6.6.191 but nothing changed. I also filed a bug message at the mesa bugzilla account:

https://bugs.freedesktop.org/show_bug.cgi?id=10494
Comment 8 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2007-05-02 13:32:18 UTC
I installed the new Mesa-6.3. Couldn't install xorg-server-1.3.0.0 with it. However, games work again. Compositing is still unusable and the glxinfo output is the same.
Comment 9 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2008-01-07 17:57:13 UTC
I installed the latest Mesa-7.2 and found that config/default targets to a different install directory than xorg for the dri drivers. I deleted the two found dri folders in the xorg installation before installing Mesa-7.2 with the path as wished by the xorg server. Now the following glxinfo message is gone:

libGL warning: 3D driver claims to not support visual 0x4b

The EXA mode now works phantastically fast. However, video turns to black on mouseover (but reappears after resizing or minimizing the window) and OpenGl windows flicker. The OpenGL output always stays on top and concurs with other OpenGL output.
Comment 10 NOT ACTIVE SINCE DECADES, PLEASE DELETE ME 2008-01-07 20:14:32 UTC
I tried xorg-server 1.4.0.90 and the 6.7.x ati driver. Things didn't change but the resolution was set to 800x600. I think that the problem is in the ati driver and will post a new bug message. You may close this one.
Comment 11 lmitapov@mail.ru (Spammer; Account disabled) 2019-11-29 02:57:40 UTC Comment hidden (spam)
Comment 12 lmitapov@mail.ru (Spammer; Account disabled) 2019-11-29 02:59:08 UTC Comment hidden (spam)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.